Skip to Content
SeyloDocs

Create the owner account

POST
/api/v1/setup.createOwner

Uses up the setup token, creates the owner with email and password and signs them in (HttpOnly cookie). CONFLICT when an owner already exists.

Needs no sign-in. Not available to MCP clients or the assistant.

Request Body

application/json
  1. body
token*string

The t= value of the installer's setup link.

Length1 <= length <= 200
email*string
Formatemail
Lengthlength <= 254
name?string
Lengthlength <= 80
password*string

At least 10 characters.

Length10 <= length <= 1024

Response Body

Success.

application/json
  1. response
viewer*
Example Request
curl -X POST 'https://example.com/api/v1/setup.createOwner' \  -H 'Content-Type: application/json' \  -d '{  "token": "string",  "email": "[email protected]",  "password": "stringstri"}'
Example Response
{  "viewer": {    "id": "string",    "email": "[email protected]",    "name": "string",    "role": "owner"  }}